# Class MediationDisputeList

#### Hierarchy

- unknown
  - MediationDisputeList

- Defined in src/protobuf/pb_pb.d.ts:6819
- Defined in src/protobuf/pb_pb.d.ts:6833

#####
Index

### Constructors

constructor

### Methods

addDispute
clearDisputeList
getDisputeList
serializeBinary
setDisputeList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MediationDisputeList(): MediationDisputeList

- #### Returns MediationDisputeList

  Inherited from jspb.Message.constructor

## Methods

### addDispute

- addDispute(value?: Dispute, index?: number): Dispute

- #### Parameters

  - ##### `Optional` value: Dispute

  - ##### `Optional` index: number

  #### Returns Dispute

  - Defined in src/protobuf/pb_pb.d.ts:6823

### clearDisputeList

- clearDisputeList(): MediationDisputeList

- #### Returns MediationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6822

### getDisputeList

- getDisputeList(): Dispute[]

- #### Returns Dispute[]

  - Defined in src/protobuf/pb_pb.d.ts:6820

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6825

### setDisputeList

- setDisputeList(value: Dispute[]): MediationDisputeList

- #### Parameters

  - ##### value: Dispute[]

  #### Returns MediationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6821

### toObject

- toObject(includeInstance?: boolean): MediationDisputeList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MediationDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6826

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediationDisputeList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6829

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediationDisputeList, reader: BinaryReader): MediationDisputeList

- #### Parameters

  - ##### message: MediationDisputeList

  - ##### reader: BinaryReader

  #### Returns MediationDisputeList

  - Defined in src/protobuf/pb_pb.d.ts:6830

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MediationDisputeList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MediationDisputeList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6828

### `Static` toObject

- toObject(includeInstance: boolean, msg: MediationDisputeList): MediationDisputeList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediationDisputeList

  #### Returns MediationDisputeList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6827

Generated using TypeDoc